Skip to main content
GET
https://{tenantDomain}/api/v2
/
branding
/
phone
/
providers
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Branding.Phone.Providers.Get(
        context.TODO(),
        "id",
    )
}
{
  "name": "twilio",
  "id": "<string>",
  "tenant": "<string>",
  "channel": "phone",
  "disabled": true,
  "configuration": {
    "sid": "<string>",
    "delivery_methods": [
      "text"
    ],
    "default_from": "<string>",
    "mssid": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
Required string length: 1 - 255

Response

Phone provider successfully retrieved.

Phone provider configuration schema

name
enum<string>
required

Name of the phone notification provider

Available options:
twilio,
custom
Required string length: 1 - 100
id
string
Required string length: 1 - 255
tenant
string

The name of the tenant

Required string length: 1 - 255
channel
enum<string>

This depicts the type of notifications this provider can receive.

Available options:
phone
Maximum string length: 100
disabled
boolean

Whether the provider is enabled (false) or disabled (true).

configuration
object
created_at
string<date-time>

The provider's creation date and time in ISO 8601 format

Maximum string length: 27
updated_at
string<date-time>

The date and time of the last update to the provider in ISO 8601 format

Maximum string length: 27